import 'dart:convert';

import 'package:speedq_net/src/util/JsonReflector.dart';

@reflector
class ItemOptions {
    late int id;
    late String description;
    late String type;
    late bool optional;
    late int min;
    late int max;
    late String options;
    late String itemId;

    ItemOptions.fromJson(String json) {
        Map<String, dynamic> map = jsonDecode(json);
        id = map["id"];
        description = map["description"];
        type = map["type"];
        optional = map["optional"];
        min = map["min"];
        max = map["max"];
        options = map["options"];
        itemId = map["item_id"];
    }
}