import 'dart:convert';

import 'package:speedq_net/entities/Entity.dart';
import 'package:speedq_net/src/util/JsonReflector.dart';

@reflector
class MenuItem extends Entity {
    late double price;
    late String status;
    late String image;
    late String stallId;

    MenuItem.fromJson(String json) {
        Map<String, dynamic> map = jsonDecode(json);
        id = map["id"];
        name = map["name"];
        price = map["price"];
        status = map["status"];
        image = map["image"];
        stallId = map["stall_id"];
    }
}