import 'dart:convert';

import 'package:speedq_net/entities/Entity.dart';
import 'package:speedq_net/src/util/JsonReflector.dart';

@reflector
class FoodCourt extends Entity {
    late String schoolId;

    FoodCourt.fromJson(String json) {
        Map<String, dynamic> map = jsonDecode(json);
        id = map["id"];
        name = map["name"];
        schoolId = map["school_id"];
    }
}