import 'dart:convert';

import 'package:speedq_net/entities/Entity.dart';
import 'package:speedq_net/src/util/JsonReflector.dart';

@reflector
class Stall extends Entity {
    late String email;
    late String phone;
    late String foodCourtId;

    Stall.fromJson(String json) {
        Map<String, dynamic> map = jsonDecode(json);
        id = map["id"];
        name = map["name"];
        email = map["email"];
        phone = map["phone"];
        foodCourtId = map["food_court_id"];
    }
}