import 'package:reflectable/reflectable.dart';
import 'package:speedq_net/speedq_net.reflectable.dart';
import "dart:convert";

import 'JsonReflector.dart';

/// creates an entity from the json string
T create<T>(String json) {
    initializeReflectable();
    return (reflector.reflectType(T) as ClassMirror).newInstance("fromJson", [json]) as T;
}

List<T> createFromJsonArray<T>(String json) {
    initializeReflectable();
    List<T> result = [];
    // for each map in list, create obj fromJson
    List<dynamic> list = jsonDecode(json);
    for(Map map in list) {
        result.add((reflector.reflectType(T) as ClassMirror).newInstance("fromJsonMap", [map]) as T);
    }
    return result;
}